# mixer.h File Reference

Functions to mix sound samples. More...

Go to the source code of this file.

## Functions
bool | MxInitialize (uint rate)
void | MxMixSamples (void *buffer, uint samples)
MixerChannel * | MxAllocateChannel ()
void | MxSetChannelRawSrc (MixerChannel *mc, int8 *mem, size_t size, uint rate, bool is16bit)
void | MxSetChannelVolume (MixerChannel *mc, uint volume, float pan)
| Set volume and pan parameters for a sound.
void | MxActivateChannel (MixerChannel *)

## Detailed Description

Functions to mix sound samples.

Definition in file mixer.h.

## Function Documentation

void MxSetChannelVolume | ( | MixerChannel * | mc,
|  | uint | volume,
|  | float | pan |
| ) |  |  |

Set volume and pan parameters for a sound.

Parameters:

  | mc | MixerChannel to set
  | volume | Volume level for sound, range is 0..16384
  | pan | Pan position for sound, range is 0..1

Definition at line 196 of file mixer.cpp.